<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="../bower_components/app-layout/app-drawer/app-drawer.html">
<link rel="import" href="../bower_components/app-layout/app-drawer-layout/app-drawer-layout.html">
<link rel="import" href="../bower_components/app-layout/app-header/app-header.html">
<link rel="import" href="../bower_components/app-layout/app-header-layout/app-header-layout.html">
<link rel="import" href="../bower_components/app-layout/app-scroll-effects/app-scroll-effects.html">
<link rel="import" href="../bower_components/app-layout/app-toolbar/app-toolbar.html">
<link rel="import" href="../bower_components/app-route/app-location.html">
<link rel="import" href="../bower_components/app-route/app-route.html">
<link rel="import" href="../bower_components/iron-pages/iron-pages.html">
<link rel="import" href="../bower_components/iron-selector/iron-selector.html">
<link rel="import" href="../bower_components/iron-input/iron-input.js">
<link rel="import" href="../bower_components/paper-item/paper-item.js">
<link rel="import" href="my-icons.html">

<link rel="lazy-import" href="my-movimientos.html">
<link rel="lazy-import" href="my-view2.html">
<link rel="lazy-import" href="my-view3.html">
<link rel="lazy-import" href="my-view404.html">

<dom-module id="my-login">
  <template>
    <style>
      :host {
        --app-primary-color:#004481;
        --app-secondary-color: black;

        display: block;
      }

      app-drawer-layout:not([narrow]) [drawer-toggle] {
        background-color: var(--app-primary-color);
        display: none;
      }

      app-header {
        color: #fff;
        background-color: var(--app-primary-color);
      }

      app-header paper-icon-button {
        --paper-icon-button-ink-color: white;
      }

      .drawer-list {
        margin: 0 20px;
      }

      .drawer-list a {
        display: block;
        padding: 0 16px;
        text-decoration: none;
        color: #fff;
        line-height: 40px;
        background-color: var(--app-primary-color);
      }

      .drawer-list a.iron-selected {
        color: #fff;
        font-weight: bold;
        
      }
      app-toolbar{
        color: #fff;
        background-color: var(--app-primary-color);

      }
      app-drawer {
        --app-drawer-content-container: {
          background-color: var(--app-primary-color);
          overflow-x: hidden;
        };
      }
      app-drawer app-header {
        background-color: var(--app-primary-color);
      }

      paper-icon-item {
        color: white;
      }
   
    </style>

    <app-location
        route="{{route}}"
        url-space-regex="^[[rootPath]]">
    </app-location>

    <app-route
        route="{{route}}"
        pattern="[[rootPath]]:page"
        data="{{routeData}}"
        tail="{{subroute}}">
    </app-route>

    <app-drawer-layout fullbleed narrow="{{narrow}}">
      <app-drawer id="drawer" slot="drawer" swipe-open="[[narrow]]">
        <app-toolbar>[[ ajaxResponse.Cliente.nombre]] Menu Login</app-toolbar><!-- comentario. -->
        <iron-selector selected="{{page}}" attr-for-selected="name" class="drawer-list" role="navigation">
          <br>
          <br>

            <a class="paper-item-link" name="view1" href="[[rootPath]]view1" tabindex="-1">
                <paper-item>
                    <iron-icon icon="my-icons:history" slot="item-icon"></iron-icon>
                   Movimientos
                </paper-item>
              </a>
            <a  class="paper-item-link" name="view2" href="[[rootPath]]view2" tabindex="-1">
                <paper-item>
                    <iron-icon icon="my-icons:room" slot="item-icon"></iron-icon>
                     Negocios favoritos
                </paper-item>
              </a>
            <a class="paper-item-link" name="view3" href="[[rootPath]]view3" tabindex="-1">
                <paper-item>
                    <iron-icon icon="my-icons:room" slot="item-icon"></iron-icon>
                     Sucursales
                </paper-item>
              </a>
              <a class="paper-item-link" name="my-login" href="[[rootPath]]login" tabindex="-1">
                  <paper-item>
                      <iron-icon src="images/icon_salir.png"slot="item-icon"></iron-icon>
                       Salir
                  </paper-item>
                </a>
        </iron-selector>
        
      </app-drawer>
      
      <app-header-layout has-scrolling-region>
        <app-header slot="header" condenses reveals effects="waterfall">
          <app-toolbar>
            <paper-icon-button icon="my-icons:sort" drawer-toggle></paper-icon-button>
          </app-toolbar>
        </app-header>
        <iron-pages selected="[[page]]" attr-for-selected="name" fallback-selection="my-components" role="main">
          <my-view1 name="view1"></my-view1>
          <my-view2 name="view2"></my-view2>
          <my-view3 name="view3"></my-view3>
          <my-components name="my-components"></my-components>
        </iron-pages>
      </app-header-layout>
    </app-drawer-layout>
  </template>
  
  <script>

    Polymer.setPassiveTouchGestures(true);

    class MyLogin extends Polymer.Element {
      static get is() { return 'my-login'; }

      static get properties() {
        return {
          page: {
            type: String,
            reflectToAttribute: true,
            observer: '_pageChanged',
          },
          routeData: Object,
          subroute: Object,
          rootPath: String,
        };
      }

      static get observers() {
        return [
          '_routePageChanged(routeData.page)',
        ];
      }

      _routePageChanged(page) {
        this.page = page || 'my-components';
        if (!this.$.drawer.persistent) {
          this.$.drawer.close();
        }
      }

      _pageChanged(page) {
        const resolvedPageUrl = this.resolveUrl('my-' + page + '.html');
        Polymer.importHref(
            resolvedPageUrl,
            null,
            this._showPage404.bind(this),
            true);
      }

      _showPage404() {
        this.page = 'view404';
      }
    }

    window.customElements.define(MyLogin.is, MyLogin);
  </script>
</dom-module>
